"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.toHaveDevDependency = void 0;
const __utils__1 = require("../../../__utils__");
const toHaveDevDependency = (result, dependencyName, dependencyVersion) => {
    expect(result).toHavePackageJson();
    const packageJson = __utils__1.RunResultUtils.readPackageJson(result);
    if (packageJson.devDependencies === undefined) {
        return {
            pass: false,
            message: () => {
                return "Expected run result package.json to have a devDependencies key";
            },
        };
    }
    const devDependencies = packageJson.devDependencies;
    const pass = dependencyVersion
        ?
            devDependencies[dependencyName] === dependencyVersion
        :
            devDependencies[dependencyName] !== undefined;
    let message = `Expected run result package.json to have devDependency ${dependencyName}`;
    if (dependencyVersion) {
        message += ` with version ${dependencyVersion}`;
    }
    return {
        pass,
        message: () => message,
    };
};
exports.toHaveDevDependency = toHaveDevDependency;
//# sourceMappingURL=toHaveDevDependency.matcher.js.map