"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.toHaveDevDependencyComment = void 0;
const __utils__1 = require("../../../__utils__");
const toHaveDevDependencyComment = (result, dependencyName) => {
    expect(result).toHavePackageJson();
    const packageJson = __utils__1.RunResultUtils.readPackageJson(result);
    if (packageJson.devDependenciesComments === undefined) {
        return {
            pass: false,
            message: () => {
                return "Expected run result package.json to have a devDependenciesComments key";
            },
        };
    }
    const devDependenciesComments = packageJson.devDependenciesComments;
    const pass = devDependenciesComments[dependencyName] !== undefined;
    const message = `Expected run result package.json to have a devDependency comment for ${dependencyName}`;
    return {
        pass,
        message: () => message,
    };
};
exports.toHaveDevDependencyComment = toHaveDevDependencyComment;
//# sourceMappingURL=toHaveDevDependencyComment.matcher.js.map