"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const yeoman_test_1 = __importDefault(require("yeoman-test"));
const __utils__1 = require("../../../__utils__");
describe("toHavePackageJson", () => {
    it("fails if given something other than a YeomanTest.RunResult", () => {
        expect(() => {
            expect(2).toHavePackageJson();
        }).toThrow("Expected 2 to be a YeomanTest.RunResult");
    });
    describe("when given a YeomanTest.RunResult", () => {
        let result;
        describe("that contains a package.json file", () => {
            beforeAll(async () => {
                result = await yeoman_test_1.default.create(__utils__1.NoDevDependenciesTestGenerator).run();
            });
            it("passes", () => {
                expect(() => {
                    expect(result).toHavePackageJson();
                }).not.toThrow();
            });
        });
        describe("that does not contain a package.json file", () => {
            beforeAll(async () => {
                result = await yeoman_test_1.default.create(__utils__1.EmptyTestGenerator).run();
            });
            it("fails", () => {
                expect(() => {
                    expect(result).toHavePackageJson();
                }).toThrow();
            });
        });
    });
});
//# sourceMappingURL=toHavePackageJson.matcher.test.js.map