"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.toHaveYaml = void 0;
const js_yaml_1 = __importDefault(require("js-yaml"));
const toHaveYaml = (result, filePath, matchObject) => {
    expect(result).toBeYeomanTestRunResult();
    const hasFile = result.fs.exists(filePath);
    if (!hasFile) {
        return {
            pass: false,
            message: () => {
                return `Expected run result to have a ${filePath} file`;
            },
        };
    }
    const contents = result.fs.read(filePath);
    const loadedObject = js_yaml_1.default.load(contents);
    expect(loadedObject).toMatchObject(matchObject);
    const matchObjectString = JSON.stringify(matchObject, undefined, 4);
    return {
        pass: true,
        message: () => `Expected run result to have a ${filePath} containing ${matchObjectString}`,
    };
};
exports.toHaveYaml = toHaveYaml;
//# sourceMappingURL=toHaveYaml.matcher.js.map