"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.RunResultUtils = void 0;
class RunResultUtils {
    static readPackageJson(runResult) {
        const packageJsonString = runResult.fs.read("package.json");
        return JSON.parse(packageJsonString);
    }
    static write(runResult, to, contents) {
        runResult.fs.write(to, contents);
        return this.commit(runResult);
    }
    static delete(runResult, filePath) {
        runResult.fs.delete(filePath);
        return this.commit(runResult);
    }
    static commit(runResult) {
        return new Promise((resolve) => {
            runResult.fs.commit(() => {
                resolve();
            });
        });
    }
    static gitInit(runResult) {
        runResult.env.spawnCommandSync("git", ["init"], {});
        this.gitConfigUser(runResult);
    }
    static gitConfigUser(runResult) {
        runResult.env.spawnCommandSync("git", ["config", "user.email", "testing@jest.io"], {});
        runResult.env.spawnCommandSync("git", ["config", "user.name", "Jest"], {});
    }
    static gitRestoreStaged(runResult) {
        runResult.env.spawnCommandSync("git", ["restore", "--staged", "."], {});
    }
}
exports.RunResultUtils = RunResultUtils;
//# sourceMappingURL=RunResult.utils.js.map