"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.ComposeWithSubGeneratorTestGenerator = void 0;
const node_path_1 = __importDefault(require("node:path"));
const shared_1 = require("../../../shared");
const InheritedOptionsSubGeneratorTestGenerator_1 = require("./InheritedOptionsSubGeneratorTestGenerator");
class ComposeWithSubGeneratorTestGenerator extends shared_1.BaseGenerator {
    static getQuestions() {
        return [
            ...InheritedOptionsSubGeneratorTestGenerator_1.InheritedOptionsSubGeneratorTestGenerator.getQuestions(),
            {
                type: "input",
                name: "packageKeywords",
                message: "What keywords would you like to associate with this package?",
            },
        ];
    }
    writing() {
        const options = Object.assign({}, this.options);
        delete options.env;
        this.writeDestinationJSON("parentAnswers.json", this.answers);
        this.writeDestinationJSON("parentOptions.json", options);
    }
    configureSubGenerators() {
        return [
            {
                Generator: InheritedOptionsSubGeneratorTestGenerator_1.InheritedOptionsSubGeneratorTestGenerator,
                path: node_path_1.default.join(__dirname, "./InheritedOptionsSubGeneratorTestGenerator"),
            },
        ];
    }
}
exports.ComposeWithSubGeneratorTestGenerator = ComposeWithSubGeneratorTestGenerator;
//# sourceMappingURL=ComposeWithSubGeneratorTestGenerator.js.map