"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.LoadConfigTestGenerator = void 0;
const node_path_1 = __importDefault(require("node:path"));
const shared_1 = require("../../../shared");
class LoadConfigTestGenerator extends shared_1.BaseGenerator {
    static getQuestions() {
        return [
            {
                type: "input",
                name: "packageName",
                message: "What is the name of this package?",
            },
            {
                type: "input",
                name: "packageDescription",
                message: "What is the description of this package?",
            },
        ];
    }
    constructor(args, options) {
        super(args, options);
        this.loadConfig(node_path_1.default.join(__dirname, "../../__fixtures__/config/loadConfigTest.yml"));
    }
    writing() {
        this.writeDestinationJSON("answers.json", this.answers);
    }
}
exports.LoadConfigTestGenerator = LoadConfigTestGenerator;
//# sourceMappingURL=LoadConfigTestGenerator.js.map