"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.SimpleYamlTestGenerator = void 0;
const js_yaml_1 = __importDefault(require("js-yaml"));
const node_assert_1 = __importDefault(require("node:assert"));
const index_1 = require("../../../shared/index");
class SimpleYamlTestGenerator extends index_1.BaseGenerator {
    constructor(args, options) {
        super(args, options);
        this.yamlFilePath = options.yamlFilePath;
        this.yamlFileContents = options.yamlFileContents;
    }
    static getQuestions() {
        return [
            {
                type: "input",
                name: "yamlFilePath",
                message: "Path to the YAML file to output",
            },
            {
                type: "input",
                name: "yamlFileContents",
                message: "Contents to write to the YAML file",
            },
        ];
    }
    writing() {
        (0, node_assert_1.default)(this.yamlFilePath !== undefined);
        (0, node_assert_1.default)(this.yamlFileContents !== undefined);
        const contents = js_yaml_1.default.dump(this.yamlFileContents);
        this.writeDestination(this.yamlFilePath, contents);
    }
}
exports.SimpleYamlTestGenerator = SimpleYamlTestGenerator;
//# sourceMappingURL=SimpleYamlTestGenerator.js.map