"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.GitHooksGenerator = void 0;
const index_1 = require("../../shared/index");
class GitHooksGenerator extends index_1.BaseGenerator {
    constructor() {
        super(...arguments);
        this.writePackageJson = async () => {
            const scripts = {
                prepare: "husky install",
            };
            this.extendPackageJson({ scripts });
            await this.addDevDependencyWithComment({
                name: "husky",
                comment: "Modern native Git hooks made easy",
            });
        };
    }
    configuring() {
        if (process.env.NODE_ENV === "test") {
            this.copyTemplate(".yarnrc.yml", ".yarnrc.yml");
        }
    }
    async writing() {
        await this.writePackageJson();
    }
    install() {
        if (this.options.yarnInstall === true) {
            this.spawnCommandSync("yarn", ["install"]);
        }
        this.spawnCommandSync("yarn", ["run", "prepare"]);
        this.spawnCommandSync("yarn", [
            "husky",
            "add",
            ".husky/pre-commit",
            "yarn run lint:staged",
        ]);
        this.spawnCommandSync("yarn", [
            "husky",
            "add",
            ".husky/pre-push",
            "yarn run test",
        ]);
    }
}
exports.GitHooksGenerator = GitHooksGenerator;
//# sourceMappingURL=GitHooksGenerator.js.map