"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const yeoman_test_1 = __importDefault(require("yeoman-test"));
describe("TsConfigGenerator", () => {
    let result;
    beforeAll(async () => {
        result = await yeoman_test_1.default.create(__dirname).run();
    });
    it("creates a tsconfig.json file", () => {
        result.assertFile("tsconfig.json");
    });
    describe("installs dependencies", () => {
        it("adds @chiubaka/tsconfig to package.json", () => {
            expect(result).toHaveDevDependencyWithComment("@chiubaka/tsconfig");
        });
    });
    describe("tsconfig.json", () => {
        it("extends from @chiubaka/tsconfig", () => {
            result.assertJsonFileContent("tsconfig.json", {
                extends: "@chiubaka/tsconfig/tsconfig.json",
            });
        });
    });
});
//# sourceMappingURL=TsConfigGenerator.test.js.map